<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// =============================================================================
// -----------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------
// =============================================================================

# 视频设置
# ------------------------------------------------------------------------------
$options[]    = array(
    'id'        => 'video_options',
    'title'     => '视频设置',
    'post_type' => 'post',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(

        array(
            'name'   => 'video_section_1',
            'fields' => array(

                array(
                    'id'        => 'video_xuanze',
                    'type'      => 'radio',
                    'title'     => '视频类型',

                    'options'   => array(
                        'video_url'     => '上传本地视频',
                        'youku_vid'     => '使用视频分享链接',
                    ),
                    'default'   => 'video_url',
                    'help'      => '请选择一种视频类型',
                ),

                array(
                    'id'      => 'video_url',
                    'type'    => 'upload',
                    'title'   => '视频地址',
                    'dependency' => array('video_xuanze_video_url', '==', 'true' ),
                    'settings'       => array(
                        'upload_type'  => 'video',
                        'button_title' => '选择视频',
                        'frame_title'  => '选择视频',
                        'insert_title' => '使用这个视频',
                    ),
                    'attributes'    => array(
                        'placeholder' => '上传视频'
                    )

                ),

                array(
                    'id'      => 'youku_vid',
                    'type'    => 'Wysiwyg',
                    'title'   => '视频分享链接',
                    'help'    => '如果使用的是优酷视频要将iframe里边的width和height属性去掉',
                    'dependency' => array('video_xuanze_youku_vid', '==', 'true' ),

                ),
                array(
                    'type'    => 'content',
                    'dependency' => array('video_xuanze_youku_vid', '==', 'true' ),
                    'content' => '如果使用的是优酷视频要将iframe里边的width和height属性去掉',
                ),

            ),
        ),

    ),
);

# 文章设置
# ------------------------------------------------------------------------------
$options[]    = array(
    'id'        => 'post_options',
    'title'     => '文章设置',
    'post_type' => 'post',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(
        array(
            'name'  => 'post_seo',
            'title' => 'SEO 设置',
            'icon'  => 'fa fa-magic',
            'fields' => array(
                array(
                    'id'    => 'seo_custom_title', // this is must be unique
                    'type'  => 'text',
                    'title' => '自定义标题',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_keywords', // this is must be unique
                    'type'  => 'text',
                    'title' => '自定义关键词',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_desc', // this is must be unique
                    'type'  => 'textarea',
                    'title' => '自定义描述',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
            ),
        ),

    ),
);

# 页面SEO设置
# ------------------------------------------------------------------------------
$options[]    = array(
    'id'        => 'page_options',
    'title'     => 'SEO设置',
    'post_type' => 'page',
    'context'   => 'normal',
    'sections'  => array(

        array(
            'name'  => 'page_seo',
            'fields' => array(
                array(
                    'id'    => 'seo_custom_title', // this is must be unique
                    'type'  => 'text',
                    'title' => '自定义标题',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_keywords', // this is must be unique
                    'type'  => 'textarea',
                    'title' => '自定义关键词',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
                array(
                    'id'    => 'seo_custom_desc', // this is must be unique
                    'type'  => 'textarea',
                    'title' => '自定义描述',
                    'help'  => '留空则调用默认全局SEO设置'
                ),
            ),
        ),
    ),
);

# 主题设置
# ------------------------------------------------------------------------------
$options[]    = array(
    'id'        => 'theme_options',
    'title'     => '主题详情',
    'post_type' => 'theme',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(
        array(
            'name'   => 'theme_options_section',
            'fields' => array(
                array(
                    'id'        => 'theme_main_gallery',
                    'type'      => 'gallery',
                    'add_title' => '添加主题相册',
                    'edit_title'=> '编辑主题相册（调整顺序）',
                    'title'     => '主题相册',
                ),
                array(
                    'id'        => 'theme_description',
                    'type'      => 'textarea',
                    'title'     => '产品描述',
                    'desc'      => ''
                ),
                array(
                    'id'        => 'theme_xq',
                    'type'      => 'wysiwyg',
                    'title'     => '产品详情',
                    'desc'      => ''
                ),
            ),
        ),


    ),
);

CSFramework_Metabox::instance( $options );
